[php-maint] [PATCH] New way to handle extensions

Steve Langasek vorlon at debian.org
Wed May 30 07:57:59 UTC 2007

[FWIW, I haven't looked at the diff provided in the original mail, so these
 are just some general comments on what I understand of the proposal.]

On Tue, May 29, 2007 at 08:46:40AM +0200, sean finney wrote:
> thanks for spending some time on this!

> On Monday 28 May 2007 23:52:21 Raphael Geissert wrote:
> > I've made some modifications to the debian/ files of the php5 source
> > package which are intended to provide a new way of handling the
> > extensions.
> > The current model is /etc/php5/SAPI/conf.d -> ../conf.d
> > My proposition is to make /etc/php5/SAPI/conf.d real directories (not
> > symbolic links) the same way the apache site/mods-enabled directories.
> > So, in order to enable an extension, a symbolic link to
> > /etc/php5/conf.d/extension.ini should be placed in the SAPI/conf.d
> > directory.

> i'm open to doing a "conf-enabled" vs "conf.d" approach, but i'm a little 
> weary of the specifics in the implementation... if only because we released 
> for etch with the current setup, i'd like something that was a little closer 
> to that for the sake of consistancy.   

> in my opinion, i think we should keep the SAPI/conf.d symlinks pointing at 
> conf.d, and have a seperate directory where the conffiles go like 
> conf-available.d or similar, and then manage the symlinks into conf.d.

> or, maybe your method is better...  i get the feeling this is mostly a 
> subjective matter.  what do other pkg-php people think?

Yes, the main problem I have with the proposal to turn the conf.d symlinks
into directories in one swoop is that it leaves a gap where a user can have
the new version of php installed with an old version of an extension
package, and either the extension won't be available to the engine or
removing the extension package will leave behind a symlink that won't be
cleaned even on purge.

Although... if we do the symlink->directory conversion at the same time as a
PHP ABI change, we can sidestep this problem completely.  Do we have one of
those coming up?

> > extensions. And of course, all the other minor change.s like: removed
> > the .links template, modified the SAPI's info on the control file to
> > make them pre-depend on php5-common because this is the package that
> > ships the php5enext and php5disext bash scripts.

> i don't think that requires a pre-depends, unless you're doing stuff in the 
> preinst/config scripts.  by the time the postinst is run, a normal depends 
> should suffice to ensure that the scripts are available.

Yeah, I don't see any obvious reason why a pre-dep would be needed here.

Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
vorlon at debian.org                                   http://www.debian.org/

More information about the pkg-php-maint mailing list